	Subroutine abcd_rd_qin(my_file, my_nt, my_chip)
	integer my_file, my_nt, my_chip
*
*	by P.W.Phillips, RAL, July 1998
*	last revised PWP 16.10.98
*	now reads mkII "rigidly defined" fitted data files from BinRAL LabVIEW code.
*
	double ch, code, vt50, sigma, svt50, ssigma, chi2
        double chmin, chmax, factor
	character rchar
	dimension rdata(7)
*
*	set up channel limits - if "my_chip" is omitted,
*	default is to read all channels
	chmin = 0.0
	chmax = 2048.0
	factor = 0.1
*
	if (my_chip .gt. -1) then
	chmin = (my_chip * 128.0)
	chmax = ((my_chip+1.0) * 128.0) -1.0
	endif
*
*	Skip first three lines of the file - not fit data
*
	do 10 i = 1, 3, 1
	read(my_file, '(A1)') rchar
10	continue
*
*	Only one format statement is needed now
*
20	read(my_file, '(D4.0,1X,D4.0,5(1X,E8.3))', end=40) rdata
*
	call hfn(my_nt,rdata)
*
*	Values are recorded in mV - we need to convert to fC
*	To first order, this means we divide by 10
*
	rdata(3) = rdata(3) * factor
	rdata(4) = rdata(4) * factor
	rdata(5) = rdata(5) * factor
	rdata(6) = rdata(6) * factor
*
	goto 20 
*
40	end
